// 数组类封装
#ifndef MYARRAY_H
#define MYARRAY_H

class MyArray
{
public:
    MyArray();                      // 无参构造函数，用户没有指定容量，则初始化为100
    explicit MyArray(int capacity); // 有参构造函数，用户指定容量初始化
    ~MyArray();                     // 析构函数，释放数组空间

public:
    void SetData(int pos, int val); // 根据位置添加元素
    int GetData(int pos);           // 获取指定位置数据
    void PushBack(int val);         // 尾插法
    int GetLength();                // 获得长度

private:
    int mCapacity; // 数组一共可容纳多少个元素
    int mSize;     // 当前有多少个元素
    int *pAdress;  // 指向存储数据的空间
};

#endif